/* 
 * File:   main.c
 * Author: TITISYLVESTRE
 *
 * Created on 2 avril 2019, 16:40
 */

#include <stdio.h>
#include <stdlib.h>
#include <xc.h>

#define _XTAL_FREQ 8000000

// BEGIN CONFIG
#pragma config FOSC = HS // Oscillator Selection bits (HS oscillator)
#pragma config WDTE = OFF // Watchdog Timer Enable bit (WDT disabled)
#pragma config PWRTE = OFF // Power-up Timer Enable bit (PWRT disabled)
#pragma config BOREN = ON // Brown-out Reset Enable bit (BOR enabled)
#pragma config LVP = OFF // Low-Voltage (Single-Supply) In-Circuit Serial Programming Enable bit (RB3 is digital I/O, HV on MCLR must be used for programming)
#pragma config CPD = OFF // Data EEPROM Memory Code Protection bit (Data EEPROM code protection off)
#pragma config WRT = OFF // Flash Program Memory Write Enable bits (Write protection off; all program memory may be written to by EECON control)
#pragma config CP = OFF // Flash Program Memory Code Protection bit (Code protection off)
//END CONFIG
/*
 * 
 */
int main(int argc, char** argv) {
TRISD = 0x00; //RB0 as Output PIN. Connect your LED on this pin
_Bool sens;

sens = 1;
PORTD = 0x01;

  while(1)
  {
      if (sens)
      {
        PORTD *= 2; // LED +   
      }
      else
      {
        PORTD /= 2; // LED -   
      }
    __delay_ms(50); // 0.1 Second Delay
    
    if(PORTD==0x01)
    {
        sens = 1;
    }
    else if(PORTD==0x80)
    {
        sens = 0;
    }
    
  }
    return (EXIT_SUCCESS);
}


